@import 'colors.scss';

/* The ribbons */

.corner-ribbon {
  width: 200px;
  background: #e43;
  position: absolute;
  top: 25px;
  left: -50px;
  text-align: center;
  line-height: 25px;
  letter-spacing: 1px;
  color: #f0f0f0;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  font-size: 13px;
  z-index: 25;

  &.sticky {
    position: fixed;
  }

  &.shadow {
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
  }

  &.top-left {
    top: 25px;
    left: -50px;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }

  &.top-right {
    top: 25px;
    right: -50px;
    left: auto;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
  }

  &.bottom-left {
    top: auto;
    bottom: 15px;
    left: -75px;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
  }

  &.bottom-right {
    top: auto;
    right: -50px;
    bottom: 25px;
    left: auto;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }
}
